List API Transactions

View as Markdown

This method allows you to list API transactions for one coin/context.

Notes:

  • Use this endpoint to paginate through transactions related to a specific cryptocurrency within your API key context.
  • You can filter the results by date range.

Method: GET

Path: https://api.blockbee.io/<coin>/list/


Parameters

Path Parameters

<coin>stringRequired

tickerstringRequired

The ticker parameter in this API request refers to the unique identifier of the cryptocurrency to which you are making the request. It is included in the URL of the request and helps to specify the exact cryptocurrency that you want to retrieve data for. The ticker is typically a short code that uniquely identifies the cryptocurrency, or the token and it's network/blockchain. For example, btc is the ticker for Bitcoin, and trc20/usdt is the ticker for USDT over TRC-20. Having this in mind, a request for USDT over TRC-20 will look like this: https://api.blockbee.io/trc20/usdt/list/.

Example:btc

Query Parameters

apikeystringRequired

API Key provided by BlockBee's Dashboard.

Note: The API key can also be sent as a header named apikey.

fromstring

Start date for filtering transactions as a Unix timestamp.

Example:1672531200

tostring

End date for filtering transactions as a Unix timestamp.

Example:1704067199

pageinteger

The page number you want to retrieve.

Default: 1

Example:1

per_pageinteger

Number of records per page.

Default: 25 Maximum: 100

Example:25

Returns

Returns a list of transaction objects matching the provided filters.

statusstring

Status of the request. Should be success if the request didn't fail.

num_pagesinteger

The total number of pages available.

transactionsobject[]

A list of transaction object records matching the provided filters.

uuidstring

The unique identifier for the transaction.

The payment address that received the funds.

The address where the funds were forwarded to.

txid_instring

The transaction ID of the incoming payment.

txid_outstring

The transaction ID of the outgoing/forwarded payment.

valuestring

The amount received in cryptocurrency.

The amount forwarded in cryptocurrency.

fiatstring

The fiat value of the received amount at the time of the transaction.

The fiat value of the forwarded amount at the time of the transaction.

pricestring

The cryptocurrency to fiat price at the time of the transaction.

coinstring

The cryptocurrency used for the transaction.

The number of blockchain confirmations for the transaction.

feestring

The fee applied to the transaction.

The fee percentage applied.

Indicates whether the fee was deducted from the forwarded amount.

The blockchain network fee for the transaction.

resultstring

The outcome of the transaction process (e.g., done, sent).

timestampstring

The date and time of the transaction.

Example:btc